Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class CustomClassNotFoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.jbo.JboException
                              |
                              +--oracle.jbo.CustomClassNotFoundException

public class CustomClassNotFoundException
extends JboException

Indicates a failure to find the named custom component/definition/row class.

Since:
  JDeveloper 3.2
See Also:
  Serialized Form

Constructor Summary
`CustomClassNotFoundException(java.lang.Class resBundle, java.lang.String errorCode, java.lang.Object[] params)` Creates an exception to be localized using `CSMessageBundle`and error code `EXC_DML_POST_ENTITY`.``
`CustomClassNotFoundException(java.lang.String missingClass, java.lang.Exception detail)` Creates an exception to be localized using `CSMessageBundle`and error code `EXC_CUSTOM_CLASS_NOT_FOUND`.``

Methods inherited from class oracle.jbo.JboException
`addToDetails, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getTypeNameFromId, isLocalizable, printStackTrace, printStackTrace, printStackTrace, setApplicationModule, setDetails, setErrorParameters`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CustomClassNotFoundException

    public CustomClassNotFoundException(java.lang.String missingClass,
                                        java.lang.Exception detail)

  Creates an exception to be localized using `CSMessageBundle`and error code `EXC_CUSTOM_CLASS_NOT_FOUND`.``
  Parameters:
    `missingClass` - name of the custom class that could not found/loaded.
    `detail` - the detail exception.

### CustomClassNotFoundException

    public CustomClassNotFoundException(java.lang.Class resBundle,
                                        java.lang.String errorCode,
                                        java.lang.Object[] params)

  Creates an exception to be localized using `CSMessageBundle`and error code `EXC_DML_POST_ENTITY`.``
  Parameters:
    `resBundle` - the message bundle class in which the error text is found.
    `errorCode` - the error code (to be found in `resBundle`.
    `params` - the error parameters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD